Loading...
Searching...
No Matches
Dune::algmeta_itsteps< I, M > Struct Template Reference
Iterative Solvers Template Library (ISTL) » Sparse Matrix and Vector classes » Block Recursive Iterative Kernels | Iterative Solvers Template Library (ISTL) » Sparse Matrix and Vector classes » DenseMatVec

`#include <dune/istl/gsetc.hh>`

Inheritance diagram for Dune::algmeta_itsteps< I, M >:

## Static Public Member Functions

template<class X, class Y, class K>
static void | dbgs (const M &A, X &x, const Y &b, const K &w)
template<class X, class Y, class K>
static void | bsorf (const M &A, X &x, const Y &b, const K &w)
template<class X, class Y, class K>
static void | bsorb (const M &A, X &x, const Y &b, const K &w)
template<class X, class Y, class K>
static void | dbjac (const M &A, X &x, const Y &b, const K &w)

## Member Function Documentation

## bsorb()

template<int I, typename M>
template<class X, class Y, class K>

void Dune::algmeta_itsteps< I, M >::bsorb | ( | const M & | A,
|  | X & | x,
|  | const Y & | b,
|  | const K & | w )

inline static

## bsorf()

template<int I, typename M>
template<class X, class Y, class K>

void Dune::algmeta_itsteps< I, M >::bsorf | ( | const M & | A,
|  | X & | x,
|  | const Y & | b,
|  | const K & | w )

inline static

## dbgs()

template<int I, typename M>
template<class X, class Y, class K>

void Dune::algmeta_itsteps< I, M >::dbgs | ( | const M & | A,
|  | X & | x,
|  | const Y & | b,
|  | const K & | w )

inline static

## dbjac()

template<int I, typename M>
template<class X, class Y, class K>

void Dune::algmeta_itsteps< I, M >::dbjac | ( | const M & | A,
|  | X & | x,
|  | const Y & | b,
|  | const K & | w )

inline static

The documentation for this struct was generated from the following file:

- gsetc.hh